## SoapyPlutoSDR-0.2.0.tar.gz

=== CMakeLists.txt ===
########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.8.9)
project(SoapyPlutoSDR CXX)

# select build type to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

find_package(SoapySDR NO_MODULE)
 if (NOT SoapySDR_FOUND) 
    message(FATAL_ERROR "Soapy SDR development files not found...") 
 endif () 

########################################################################
# Find libiio
########################################################################
list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})
find_package(libiio 0.9 REQUIRED)

if (LIBIIO_FOUND)
    message(STATUS "LIBIIO_INCLUDE_DIRS: ${LIBIIO_INCLUDE_DIRS}")
    message(STATUS "LIBIIO_LIBRARIES: ${LIBIIO_LIBRARIES}")
    message(STATUS "LIBIIO_DEFINITIONS: ${LIBIIO_DEFINITIONS}")
endif()

include_directories(${LIBIIO_INCLUDE_DIRS})

#enable c++11 features
if(CMAKE_COMPILER_IS_GNUCXX)

    #C++11 is a required language feature for this project
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_STD_CXX11)
    if(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    else(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    endif()

    #Thread support enabled (not the same as -lpthread)
    list(APPEND LIBIIO_LIBRARIES -pthread)

    #disable warnings for unused parameters
    add_definitions(-Wno-unused-parameter)
endif(CMAKE_COMPILER_IS_GNUCXX)

#enable c++11 extensions for OSX
if (APPLE)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -Wc++11-extensions")
endif(APPLE)

########################################################################
# Find libad9361
########################################################################
find_package(libad9361)

if (LIBAD9361_FOUND)
    message(STATUS "LIBAD9361_INCLUDE_DIRS: ${LIBAD9361_INCLUDE_DIRS}")
    message(STATUS "LIBAD9361_LIBRARIES: ${LIBAD9361_LIBRARIES}")
    message(STATUS "LIBAD9361_DEFINITIONS: ${LIBAD9361_DEFINITIONS}")
    include_directories(${LIBAD9361_INCLUDE_DIRS})
    add_definitions(-DHAS_AD9361_IIO)
endif()


SOAPY_SDR_MODULE_UTIL(
    TARGET PlutoSDRSupport
    SOURCES
    PlutoSDR_Registration.cpp
    PlutoSDR_Settings.cpp
    PlutoSDR_Streaming.cpp
    LIBRARIES ${LIBIIO_LIBRARIES} ${LIBAD9361_LIBRARIES}
)

=== debian/changelog ===
soapyplutosdr (0.2.0-1) unstable; urgency=low

  * Release 0.2.0 (2019-06-22)

 -- Josh Blum <josh@pothosware.com>  Sat, 22 Jun 2019 07:50:37 -0000

soapyplutosdr (0.1.0-1) unstable; urgency=low

  * Release 0.1.0 (2018-12-21)

 -- Josh Blum <josh@pothosware.com>  Sun, 30 Dec 2018 09:56:58 -0600

=== debian/control ===
Source: soapyplutosdr
Section: libs
Priority: optional
Maintainer: Josh Blum <josh@pothosware.com>
Build-Depends:
    debhelper (>= 9.0.0),
    cmake,
    libiio-dev,
    libad9361-dev,
    libsoapysdr-dev
Standards-Version: 4.1.4
Homepage: https://github.com/pothosware/SoapyPlutoSDR/wiki
Vcs-Git: https://github.com/pothosware/SoapyPlutoSDR.git
Vcs-Browser: https://github.com/pothosware/SoapyPlutoSDR

Package: soapysdr0.7-module-plutosdr
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Soapy PlutoSDR - PlutoSDR device support for Soapy SDR.
 A Soapy module that supports PlutoSDR devices within the Soapy API.

Package: soapysdr-module-plutosdr
Architecture: all
Depends: soapysdr0.7-module-plutosdr, ${misc:Depends}
Description: Soapy PlutoSDR - PlutoSDR device support for Soapy SDR.
 A Soapy module that supports PlutoSDR devices within the Soapy API.
 .
 This is an empty dependency package that pulls in the PlutoSDR module
 for the default version of libsoapysdr.
